@import "~normalize.css/normalize.css";
@import "~@fortawesome/fontawesome-free/css/all.css";
@import "./variables.css";
@import "./reset.css";
@import "./spacing.css";
@import "./typo.css";
@import "./color.css";
@import "./animate.css";
@import "./modal.css";
@import "./grid.css";
@import "./form.css";
@import "./generic.css";

#__next {
    height: 100vh;
}

.printable {
    display: none !important;
}

.header {
    width: 100%;
    height: var(--header-height);
    background-color: var(--color-blue-dark);
}

.content {
    margin: 0 auto;
    max-width: 1400px;
    width: 100%;
    height: calc(100% - var(--header-height));
}

.container {
    position: relative;
    padding: var(--container-padding);
}

.box {
    overflow: hidden;
    position: relative;
    padding-bottom: 100%;
    background-color: var(--color-grey);
}

.box > * {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

.disabled {
    cursor: not-allowed;
}

.tag {
    display: inline-block;
    padding: 0 var(--dimen-sm);
    background-color: var(--color-green);
    color: #fff;
    border-radius: 2px;
    font-size: var(--font-xs);
}

.tag.tag-closed {
    background-color: var(--color-grey-dark);
}

.tag.tag-closed {
    background-color: var(--color-grey-dark);
}

.tag.tag-started {
    background-color: var(--color-yellow);
}

.toast {
    min-width: 200px;
    min-height: 200px;
    max-width: 300px;
    height: auto;
    position: fixed;
    left: 50%;
    transform: translateX(-50%);
    bottom: 25px;
    /* background-color: #383838; */
    background-color: white;
    /* color: #F0F0F0; */
    color: "black";
    font-family: Calibri;
    font-size: 20px;
    padding: 10px;
    text-align: center;
    border-radius: 2px;
    -webkit-box-shadow: 0px 0px 24px -1px rgba(56, 56, 56, 1);
    -moz-box-shadow: 0px 0px 24px -1px rgba(56, 56, 56, 1);
    box-shadow: 0px 0px 24px -1px rgba(56, 56, 56, 1);
    z-index: 300;
}

.toast-body {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
circle {
    transition: all 0.7s ease-in-out;
  }

@media print {
    #__next {
        display: none !important;
    }

    @page {
        /* margin: 0.3cm; */
        /* margin-top: 0.5cm; */
    }

    .printable {
        display: block !important;
        font-size: 10px;
        font-family: "Open Sans", sans-serif;
        color: #000;
    }
}

/* Removing arrows from input numbers */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin: 0;
}
